LinuxMemoryCalculatorPlugin (Hadoop 0.20.1+169.127 API)
Date: 2011-01-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.util
Class LinuxMemoryCalculatorPlugin

    java.lang.Object
      org.apache.hadoop.conf.Configured
          org.apache.hadoop.util.MemoryCalculatorPlugin
              org.apache.hadoop.util.LinuxMemoryCalculatorPlugin

All Implemented Interfaces:
  Configurable

    public class LinuxMemoryCalculatorPlugin

extends MemoryCalculatorPlugin

Plugin to calculate virtual and physical memories on Linux systems.

Constructor Summary
`LinuxMemoryCalculatorPlugin()`

Method Summary
`long` | `getPhysicalMemorySize()` Obtain the total size of the physical memory present in the system.
`long` | `getVirtualMemorySize()` Obtain the total size of the virtual memory present in the system.
`static void` | `main(String[] args)` Test the `LinuxMemoryCalculatorPlugin`

Methods inherited from class org.apache.hadoop.util.MemoryCalculatorPlugin
`getMemoryCalculatorPlugin`

Methods inherited from class org.apache.hadoop.conf.Configured
`getConf, setConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinuxMemoryCalculatorPlugin

    public LinuxMemoryCalculatorPlugin()

Method Detail

### getPhysicalMemorySize

    public long getPhysicalMemorySize()

  Obtain the total size of the physical memory present in the system.

  Specified by:
    `getPhysicalMemorySize` in class `MemoryCalculatorPlugin`
  Returns:
    physical memory size bytes.

### getVirtualMemorySize

    public long getVirtualMemorySize()

  Obtain the total size of the virtual memory present in the system.

  Specified by:
    `getVirtualMemorySize` in class `MemoryCalculatorPlugin`
  Returns:
    virtual memory size in bytes.

### main

    public static void main(String[] args)

  Test the `LinuxMemoryCalculatorPlugin`

  Parameters:
    `args` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation